## pwgen 1

=== Makefile ===
# Makefile for pwgen.

# Compile-time program options
OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48

# Standard items
CC	= cc
CFLAGS	= -g
LD	= cc
#LDFLAGS	= -g
LIBS	= -lm
INSTALL	= cp
INFLAGS	=

# Where to install
DESTDIR	= /usr/local/bin
MANDIR	= /usr/local/man/man1

# End configuration section

all: pwgen

test: pwgen
	./pwgen 8 20

install: all
	$(INSTALL) pwgen $(DESTDIR)
	$(INSTALL) pwgen.1 $(MANDIR)
	chmod 555 $(DESTDIR)/pwgen
	chmod 444 $(MANDIR)/pwgen.1

pwgen:	pwgen.o
	$(LD) $(LDFLAGS) -o pwgen pwgen.o $(LIBS)

pwgen.o: pwgen.c
	$(CC) $(CFLAGS) $(OPTS) -c -o pwgen.o pwgen.c

clean:
	rm -f core a.out pwgen *.o *.old *~

tar:	clean
	cd ..; tar cvf pwgen.tar pwgen

dist:	clean
	cd ..; shar pwgen pwgen/* >pwgen.shar

## pwgen 1-10

=== debian/changelog ===
pwgen (1-10) unstable; urgency=low

  * Corrected typo. in manpage (Bug #15027).

 -- Vincent Renardias <vincent@waw.com>  Thu, 18 Dec 1997 05:08:06 +0100

pwgen (1-9) unstable; urgency=low

  * Added a 'spwgen' command to get more 'secure' passwords.
    Fixes bug #13162.

 -- Vincent Renardias <vincent@waw.com>  Mon, 10 Nov 1997 06:14:12 +0100

pwgen (1-8) unstable; urgency=low

  * Documented bug #10192 so that it becomes a feature. _(;

 -- Vincent Renardias <vincent@waw.com>  Wed, 28 May 1997 21:06:38 +0200

pwgen (1-7) unstable; urgency=low

  * Rebuilt with libc6.

 -- Vincent Renardias <vincent@waw.com>  Thu, 1 May 1997 21:45:05 +0200

pwgen (1-6) unstable; urgency=low

  * Changed architecture from control file (i386 => any).

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Apr 1997 10:42:34 +0200

pwgen (1-5) unstable; urgency=low

  * Modified usage info (Fixes bug #8227).

 -- Vincent Renardias <vincent@waw.com>  Mon, 24 Mar 1997 23:33:11 +0100

pwgen (1-4) unstable; urgency=low

  * Modified RNG initialisation (Fixes Bug #6508).

 -- Vincent Renardias <vincent@waw.com>  Sat, 11 Jan 1997 22:58:24 +0100

pwgen (1-3) unstable; urgency=low

  * Maintainer changed
  * Tuned Makefile

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Oct 1996 04:32:26 +0200

pwgen (1-2) unstable; urgency=low

  * Binary not stripped
  * More documentation regarding the origin of the package

 -- Christoph Lameter <clameter@debian.org>  Thu, 26 Sep 1996 14:51:46 +0800

pwgen (1-1) unstable; urgency=low

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Fri, 20 Sep 1996 14:51:46 +0800

Local variables:
mode: debian-changelog
End:

## pwgen 1-11

=== Makefile ===
# Makefile for pwgen.

# Compile-time program options
OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48 -DDEBIAN

# Standard items
CC	= gcc
CFLAGS	= -O3
LD	= cc
#LDFLAGS	= -g
LIBS	= -lm
INSTALL	= install -s
INFLAGS	=

# Where to install
DESTDIR	= /usr/local/bin
MANDIR	= /usr/local/man/man1

# End configuration section

all: pwgen spwgen

test: pwgen
	./pwgen 8 20

install: all
	$(INSTALL) pwgen $(DESTDIR)
	$(INSTALL) spwgen $(DESTDIR)
	$(INSTALL) pwgen.1 $(MANDIR)
	chmod 555 $(DESTDIR)/pwgen
	chmod 555 $(DESTDIR)/spwgen
	chmod 444 $(MANDIR)/pwgen.1

spwgen:	spwgen.o
	$(LD) $(LDFLAGS) -o spwgen spwgen.o $(LIBS)

spwgen.o: spwgen.c
	$(CC) $(CFLAGS) $(OPTS) -c -o spwgen.o spwgen.c

pwgen:	pwgen.o
	$(LD) $(LDFLAGS) -o pwgen pwgen.o $(LIBS)

pwgen.o: pwgen.c
	$(CC) $(CFLAGS) $(OPTS) -c -o pwgen.o pwgen.c

clean:
	rm -f core a.out pwgen spwgen *.o *.old *~

tar:	clean
	cd ..; tar cvf pwgen.tar pwgen

dist:	clean
	cd ..; shar pwgen pwgen/* >pwgen.shar

=== debian/changelog ===
pwgen (1-11) unstable; urgency=low

  * Corrected usage string (Bug #21612).

 -- Vincent Renardias <vincent@waw.com>  Fri, 24 Apr 1998 19:37:50 +0200

=== debian/control ===
Source: pwgen
Section: admin
Priority: optional
Maintainer: Vincent Renardias <vincent@waw.com>
Standards-Version: 2.1.0.0

Package: pwgen
Architecture: any
Depends: ${shlibs:Depends}
Description: Automatic Password generation
 pwgen generates random, meaningless but pronounceable passwords. Depending
 on how the program was installed, these words contain either only
 lowercase letters, or upper and lower case mixed, or digits thrown
 in. Uppercase letters and digits are placed in a way that eases
 remembering their position when memorizing only the word.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

p=pwgen

build:
	$(checkdir)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm `find . -name "*.bak"`
	-rm -rf debian/tmp debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(p)
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/bin
	make install DESTDIR=debian/tmp/usr/bin MANDIR=debian/tmp/usr/man/man1
	cp README* debian/README.debian debian/tmp/usr/doc/$(p)
	cp debian/changelog debian/tmp/usr/doc/$(p)/changelog.Debian
	gzip -9fr debian/tmp/usr/doc/$(p)/* || true
	cp debian/copyright debian/tmp/usr/doc/$(p)/copyright
	chmod a+r debian/tmp/usr/doc/$(p)/*
	chmod 644 debian/tmp/usr/man/man1/pwgen.1
	gzip -9 debian/tmp/usr/man/man1/pwgen.1
	cd debian/tmp/usr/man/man1/ && ln -s pwgen.1.gz spwgen.1.gz
	strip  debian/tmp/usr/bin/*
	strip --remove-section=.comment debian/tmp/usr/bin/*
	strip --remove-section=.note debian/tmp/usr/bin/*
	dpkg-shlibdeps $(p)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp

	dpkg --build debian/tmp ..

define checkdir
	test -f $(p).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## pwgen 1-15

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # Makefile for pwgen.
 
 # Compile-time program options
-OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48 -DDEBIAN
+#OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48 -DDEBIAN
+# or, if you want any of the first three rolled into one (plus -s), use this:
+OPTS	= -DALLBYOPTS -DRAND48 -DDEBIAN
 
 # Standard items
 CC	= gcc
@@ -18,17 +20,16 @@
 
 # End configuration section
 
-all: pwgen spwgen
+#all: pwgen spwgen
+all: pwgen
 
 test: pwgen
 	./pwgen 8 20
 
 install: all
 	$(INSTALL) pwgen $(DESTDIR)
-	$(INSTALL) spwgen $(DESTDIR)
-	$(INSTALL) pwgen.1 $(MANDIR)
+	install pwgen.1 $(MANDIR)
 	chmod 555 $(DESTDIR)/pwgen
-	chmod 555 $(DESTDIR)/spwgen
 	chmod 444 $(MANDIR)/pwgen.1
 
 spwgen:	spwgen.o

=== debian/changelog ===
pwgen (1-15) unstable; urgency=low

  * Fix debian/rules; 
    closes: #54001: can not build from source.

 -- Vincent Renardias <vincent@debian.org>  Tue,  4 Jan 2000 14:53:58 +0100
    

pwgen (1-14) unstable; urgency=low

  * Fix bug #38630.

 -- Vincent Renardias <vincent@waw.com>  Wed,  2 Jun 1999 14:55:04 +0200

pwgen (1-13) unstable; urgency=low

  * install pwgen in mode 755, not 555.

 -- Vincent Renardias <vincent@waw.com>  Mon, 25 Jan 1999 05:51:20 +0100

pwgen (1-12) unstable; urgency=low

  * Plenty of good stuff contributed by Jim Lynch <jim@laney.edu>:
  * added -h and --help to the list of supported options.
    == pwgen (1-11.4) unstable; urgency=low
  * Cleaned up options parser. Now:
     - all options exclude repetition of themselves
     - -acn excludes -s
     - -s excludes -acn
     - -h in a future release.
    Note: this finshes fixes of Bug#25525.
    == pwgen (1-11.3) unstable; urgency=low
  * Made the function header for pwgen() be ANSI-compatible
  * Note: I just discovered that 1-11.1 fixes Bug#25525, and
    the parser will be fixed in .4, when I tighten up the parser.
    == pwgen (1-11.2) unstable; urgency=low
  * Modified manpage to combine the descriptions for short options with
    their equivalent long options.
    == pwgen (1-11.1) unstable; urgency=low
  * Added command-line arg handling (-a, -c, -n, -s) which implement
    the old preprocessor definitions ALTPHON, CAPITALIZE, NUMERALS and
    an unhooked secure password generator, respectively. Define ALLBYOPTS
    in the preprocessor to activate. When defined, ALTPHON, CAPITALIZE and
    NUMERALS have no effect. When not defined, is practically identical to
    version 1-11. The default for 1-11.1 will have ALLBYOPTS defined. Now,
    one copy of the pwgen binary will suffice when 16 would have been needed
    before to provide the same functionality. Also, the long options
    --alt-phonics, --capitalize, --numerals and --secure are identical
    aliases to -a, -c, -n and -s, respectively.
  * updated man page pwgen.1 to reflect all new functionality.
  * updated Makefile so it defines ALLBYOPTS and no longer defines ALTPHON,
    CAPITALIZE and NUMERALS when compiling pwgen (and spwgen; this
    has no effect, the secure option in pwgen is identical to the 
    implementation in spwgen. So, I have arranged for the Makefile to
    not build or install spwgen.)

 -- Vincent Renardias <vincent@waw.com>  Fri, 24 Apr 1998 19:37:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pwgen
 Section: admin
 Priority: optional
-Maintainer: Vincent Renardias <vincent@waw.com>
+Maintainer: Vincent Renardias <vincent@debian.org>
 Standards-Version: 2.1.0.0
 
 Package: pwgen

=== debian/rules ===
--- 
+++ 
@@ -48,14 +48,13 @@
 	chmod a+r debian/tmp/usr/doc/$(p)/*
 	chmod 644 debian/tmp/usr/man/man1/pwgen.1
 	gzip -9 debian/tmp/usr/man/man1/pwgen.1
-	cd debian/tmp/usr/man/man1/ && ln -s pwgen.1.gz spwgen.1.gz
 	strip  debian/tmp/usr/bin/*
 	strip --remove-section=.comment debian/tmp/usr/bin/*
 	strip --remove-section=.note debian/tmp/usr/bin/*
 	dpkg-shlibdeps $(p)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
+	chmod 755 debian/tmp/usr/bin/pwgen
 
 	dpkg --build debian/tmp ..

## pwgen 2.05

=== Makefile ===
PWGEN_VERSION=2.05

srcdir = .
top_srcdir = .

top_builddir = .
my_dir = .
prefix = /usr/local
mandir = ${prefix}/man
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

WALL_OPTS = -Wall -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes \
	-Wshadow -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align \
	-pedantic
CC = gcc
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_DRAND48=1 -DHAVE_GETOPT_LONG=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_GETOPT_H=1 
CFLAGS = -g -O2 $(WALL_OPTS)
CPPFLAGS = 
ALL_CFLAGS = $(CPPFLAGS) $(DEFS) $(USE_WFLAGS) $(CFLAGS) $(XTRA_CFLAGS) 
LDFLAGS = 
RM = /bin/rm
MV = /bin/mv
SED = /bin/sed
PERL = /usr/bin/perl
TAR = tar

all:: pwgen

.c.o:
	$(CC) -c $(ALL_CFLAGS) $< -o $@

OBJS= pwgen.o pw_phonemes.o pw_rand.o randnum.o sha1.o sha1num.o

SRCS= pwgen.c pw_phonemes.c pw_rand.c randnum.c sha1.c sha1num.c


pwgen: $(OBJS)
	$(CC) $(LDFLAGS) -o pwgen $(OBJS)

install: pwgen pwgen.1
	mkdir -p $(DESTDIR)$(prefix)/bin $(DESTDIR)$(mandir)/man1
	$(INSTALL_PROGRAM) pwgen $(DESTDIR)$(prefix)/bin/pwgen
	$(INSTALL_DATA) $(srcdir)/pwgen.1 $(DESTDIR)$(mandir)/man1/pwgen.1

clean:
	$(RM) -f $(OBJS) pwgen *~

distclean: clean
	$(RM) -rf config.status config.log config.cache Makefile \
		$(srcdir)/Makefile.in.old $(srcdir)/.exclude-file \
		$(srcdir)/autom4te.cache

#
# Build source tar ball...
#

SRCROOT = pwgen-$(PWGEN_VERSION)

$(srcdir)/.exclude-file:
	a=$(SRCROOT); \
	(cd $(srcdir)/.. && find src \( -name \*~ -o -name \*.orig \
		-o -name CVS -o -name \*.rej \
		-o -name TAGS -o -name \*.old -o -name \*.gmo \
		-o -name changed-files -o -name .#\* \) \
		-print) | sed -e "s/src/$$a/" > $(srcdir)/.exclude-file
	echo "$(SRCROOT)/build" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/rpm.log" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/config.log" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/config.status" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/config.cache" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/TODO" >> $(srcdir)/.exclude-file
	echo "$(SRCROOT)/.exclude-file" >> $(srcdir)/.exclude-file
		>> $(srcdir)/.exclude-file

source_tar_file: $(srcdir)/.exclude-file
	cd $(srcdir)/.. && a=$(SRCROOT); rm -f $$a ; ln -sf src $$a ; \
		$(TAR) -c -h -v -f - \
			-X $$a/.exclude-file $$a | \
		gzip -9 > pwgen-$(PWGEN_VERSION).tar.gz
	rm -f $(srcdir)/.exclude-file
#
# Autoconf magic...
#

$(top_builddir)/config.status: $(top_srcdir)/configure
	cd $(top_builddir); ./config.status --recheck

Makefile: $(srcdir)/Makefile.in $(DEP_MAKEFILE) $(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=$(my_dir)/Makefile ./config.status

$(top_srcdir)/configure: $(top_srcdir)/configure.in
	cd $(top_srcdir) && autoconf

#
# Make depend magic...
#

.depend: Makefile $(SRCS) $(top_srcdir)/depfix.sed $(top_srcdir)/wordwrap.pl
	if test -n "$(SRCS)" ; then \
		$(CC) -M $(ALL_CFLAGS) $(SRCS) | \
			$(SED) -f $(top_srcdir)/depfix.sed \
			    -e 's; $(srcdir)/; $$(srcdir)/;g' \
			    -e 's; $(top_srcdir)/; $$(top_srcdir)/;g' \
			    -e 's; $(top_builddir)/; $$(top_builddir)/;g' \
			    -e 's; \./; ;g' \
			    -e '/^ *\\$$/d' | \
			$(PERL) $(top_srcdir)/wordwrap.pl > .depend; \
	else :; fi

depend:: .depend
	if test -n "$(SRCS)" ; then \
		sed -e '/^# +++ Dependency line eater +++/,$$d' \
			< $(srcdir)/Makefile.in | cat - .depend \
			> $(srcdir)/Makefile.in.new; \
	if cmp -s $(srcdir)/Makefile.in $(srcdir)/Makefile.in.new ; then \
		$(RM) $(srcdir)/Makefile.in.new ; \
	else \
		$(MV) $(srcdir)/Makefile.in $(srcdir)/Makefile.in.old; \
		$(MV) $(srcdir)/Makefile.in.new $(srcdir)/Makefile.in; \
	fi ; else :; fi

# +++ Dependency line eater +++
# 
# Makefile dependencies follow.  This must be the last section in
# the Makefile.in file
#
pwgen.o: pwgen.c pwgen.h
pw_phonemes.o: pw_phonemes.c pwgen.h
pw_rand.o: pw_rand.c pwgen.h
randnum.o: randnum.c pwgen.h
sha1.o: sha1.c sha1.h 
sha1num.o: sha1num.c sha1.h pwgen.h

## pwgen 2.07

=== debian/control ===
Source: pwgen
Section: admin
Priority: optional
Build-Depends: debhelper (>= 8)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Standards-Version: 3.9.6.0

Package: pwgen
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic Password generation
 pwgen generates random, meaningless but pronounceable passwords.
 These passwords contain either only lowercase letters, or upper
 and lower case mixed, or digits thrown in.
 Uppercase letters and digits are placed in a way that eases
 remembering their position when memorizing only the word.

Package: pwgen-udeb
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: debian-installer
XC-Package-Type: udeb
Description: Automatic Password generation
 pwgen generates random, meaningless but pronounceable passwords.
 These passwords contain either only lowercase letters, or upper
 and lower case mixed, or digits thrown in.
 Uppercase letters and digits are placed in a way that eases
 remembering their position when memorizing only the word.
 .
 pwgen-udeb is a minimal package used by debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

package=pwgen

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(CROSS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	if test -f Makefile ; then $(MAKE) distclean ; fi
	-rm -f `find . -name "*~"` pwgen *.o

	dh_clean

install: build 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/pwgen
	dh_install -ppwgen-udeb pwgen /usr/bin

binary-indep: build install
	dh_testdir
	dh_testroot
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo 
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## pwgen 2.08

=== debian/changelog ===
pwgen (2.08-2) unstable; urgency=medium

  * Convert debian/rules file to use dh
  * Update the debhelper compatibility level to 12
  * Update Debian policy compliance to 4.0.0
  * fix unreliable support of --capitalize when --ambiguous
    is requested

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 03 Aug 2019 11:26:29 -0400

pwgen (2.08-1) unstable; urgency=medium

  * New upstream version
  * Suppress trailing space after the last password (Closes: #794635)
  * Make pwgen -s more "secure" for 1 and 2 character passwords
    (Closes: #666725)
  * Fix option parsing of "pwgen --no-capitalize --no-vowels" (Closes: #791908)
  * Add new option --remove-chars which removes chars from the set of
    characters used to generate passwords (Closes: #836334)
  * Add cross-compilation to debian/rules (Closes: #695148)
  * Update control and copyright files to point at pwgen at github for
    the home directory and primary git repository
    (Closes: #454500, #855495, #846517)
  * Update Debian policy compliance to 4.0.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 07 Aug 2017 00:51:45 -0400

pwgen (2.07-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add multiarch metadata (Closes: #693964)
  * Fix manpage typo (Closes: #579178)
  * Stop -s from overwriting other flags (Closes: #436912)

 -- Wookey <wookey@debian.org>  Thu, 22 Oct 2015 22:14:04 +0100

pwgen (2.07-1) unstable; urgency=high

  * New upstream version
  * Remove backwards compatibility for no-tty mode.  Addresses
    CVE-2013-4440 (Closes: #725507)
  * Fail hard if /dev/urandom and /dev/random are not available.
    Addresses CVE-2013-4442 and Launchpad #1183213 (Closes: #767008)
  * Fix pwgen -B so that it doesn't accidentally generate passwords with
    ambiguous characters after changing the case of some letters.
    Addresses Launchpad Bugs #638418 and #1349863
  * Fix potential portability bug on architectures where unsgined ints
    are not 4 bytes long
  * Update Debian policy compliance to 3.9.6.0
  * Build with Debian hardening using dpkg-buildflags

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 27 Oct 2014 23:30:52 -0400

pwgen (2.06-1) unstable; urgency=low

  * New upstream version
  * Fix pwgen -Bs so that this option combination works correctly
    (Closes: #368010)
  * Fix the pwgen -Bc option combination (Closes: #355153)
  * Fix typo in pwgen man page (Closes: #376147)
  * Make the -s option imply the -nc options (Closes: #427969)
  * Add -v option to generate passwords without vowels (Closes: #387461)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed,  4 Jul 2007 19:19:26 -0400

pwgen (2.05-1) unstable; urgency=low

  * Add a udeb for debian-installer.  Thanks to Martin Michlmayr for the
    patch.  (Closes: #271115)
  * Fix bug which would cause pwgen to loop forever if the password length
    is 1.
  * Fix spelling errors in the man page.  (Closes: #323538)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 15 Jan 2006 23:16:59 -0500

pwgen (2.04-1) unstable; urgency=low

  * New upstream version.
  * Adopt maintainership of pwgen.  (Closes: #282076)
  * Fix minor bug in man page.  (Closes: #311461)
  * Convert from debmake to debhelper
  * Add the --sha1 option so that pwgen uses the SHA1 hash to generate
    (not so) random passwords.
  * Add --symbols option which adds special symbols to the password.
    (Closes: #154561)
  * Add short options for --no-capitalize and --no-numerals and make those
    options work when --secure is specified.
  * Add --ambiguous option which avoids characters that can be confused by
    the user.  (Closes: #51307)
  * Fix bug where --no-capitalized and --no-numerals were ignored for short
    passwords.  (Closes: #276307)
  * In the pwgen man page, explain that human-memorable passwords are
    subject to off-line brute force attacks.  (Closes: #276976)
  * Allow one or more capital letters and digits in human-friendly
    passwords (Closes: #182595)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 15 Jun 2005 00:39:10 -0400

pwgen (2.03-1) unstable; urgency=high

  * New upstream release (Thanks Ted for the quick release! :-)
    (Closes: #170312, #176688).
  * Bugs fixed in previous release
    (Closes: #166959, #167485)

 -- Vincent Renardias <vincent@debian.org>  Thu, 16 Jan 2003 11:07:14 +0100

pwgen (2.02-2) unstable; urgency=low

  * Apply small fix from Matthew J Backes (Closes: #176082).

 -- Vincent Renardias <vincent@debian.org>  Mon, 13 Jan 2003 16:09:17 +0100

pwgen (2.02-1) unstable; urgency=low

  * new upstream release; fixes the following bugs (Thanks Ted!):
    - If the number of characters is less than 5, force the use
      of the fully random generator, since the quality of phonetic
      generator is really bad if the lengths are small --- and if
      the length is less than or equal to 2, pwgen will loop
      forever (Closes: #117137).
    - Fix e-mail address in man page (Closes: #150579).
    - #include the appropriate header files to avoid -Wall warnings
      (Closes: #126774).
    - Fix floating point exception errors if the password is longer
      than terminal width (Closes: #113571).
    - Return an exit value of 0 when pwgen on success
      (Closes: #118181, #102063).

 -- Vincent Renardias <vincent@debian.org>  Tue, 16 Jul 2002 11:32:40 +0200

pwgen (2.01-3) unstable; urgency=low

  * Package is not native anymore (Closes: #44169).
  * pwgen now accept to generate passwords longer than 16 chars
    (Closes: #54957).
  * pwgen now really honors the password length (Closes: #70580).
  * The /usr/doc symlink is created (Closes: #102452).

 -- Vincent Renardias <vincent@debian.org>  Thu,  6 Dec 2001 17:38:58 +0100

pwgen (2.01-2) unstable; urgency=low

  * Fix copyright file (Closes: #104207).
    The very purpose of having the /usr/share/licences directory is
    precisely to avoid to duplicate the GPL text in every package.
    This is explicitely allowed by the Debian policy unless it changed recently.



=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pwgen
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 8)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Standards-Version: 3.9.6.0
+Build-Depends: debhelper (>= 12)
+Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
+Standards-Version: 4.4.0
+Homepage: https://github.com/tytso/pwgen
+Vcs-Browser: https://github.com/tytso/pwgen
+Vcs-Git: https://github.com/tytso/pwgen.git
 
 Package: pwgen
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr --mandir=/usr/share/man
